Post by Blackwood » Sun Nov 19, 2017 7:20 am

I'm having issues with upgrading my store, I'm currently 2.0.1.1 , I've tried upgrading to the latest 2.0 cart and also the latest 3.0 cart with errors, I've tried disabling extensions prior to upgrade also, and following the steps in my installed them upgrade folder... I get numerous admin and frontend errors.. Can anyone recommend a legitimate help for upgrading my cart?

Thanks

Newbie

Posts

Joined
Sun Nov 19, 2017 7:14 am

Post by straightlight » Sun Nov 19, 2017 11:34 am

1 - Upload a fresh copy of the files to a new folder.
2 - Extend the PHP Maximum limit from your server in order to upgrade your database afterwards.

The most generated errors being found on Opencart forum originates from contributed programming.

Regards,
Straightlight


Guru Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by Blackwood » Mon Nov 20, 2017 12:02 am

So place the new 3.0 opencast in a new folder, edit config files and upgrade database?

Newbie

Posts

Joined
Sun Nov 19, 2017 7:14 am

Post by straightlight » Mon Nov 20, 2017 12:06 am

That is correct by making a backup of your previous store and its database also by uninstalling all installed extensions you have installed. Also by increasing the PHP Maximum limit as mentioned above. Once the upgrade completed and ensuring most of the features are working, remove the old store's folder, rename your new folder back to the old folder. Edit config files. Issue will be resolved.

The most generated errors being found on Opencart forum originates from contributed programming.

Regards,
Straightlight


Guru Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by Blackwood » Mon Nov 20, 2017 8:39 pm

I'm going to try this now, I also have journal them installed will this cause issues?

Newbie

Posts

Joined
Sun Nov 19, 2017 7:14 am

Post by straightlight » Mon Nov 20, 2017 10:48 pm

Yes, that will definitely cause a problem with Journal2.

The most generated errors being found on Opencart forum originates from contributed programming.

Regards,
Straightlight


Guru Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by Blackwood » Wed Nov 22, 2017 7:55 am

Should I also uninstall journal first?

Newbie

Posts

Joined
Sun Nov 19, 2017 7:14 am

Post by straightlight » Wed Nov 22, 2017 8:00 am

Yes, Journal2 must be uninstalled unless you wish to upload fresh files to your server and on a new server. Then, reinstall all possible extensions that you have installed in the past and available for the latest release of Opencart.

The most generated errors being found on Opencart forum originates from contributed programming.

Regards,
Straightlight


Guru Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by Blackwood » Wed Nov 22, 2017 6:31 pm

I'm getting the following errors on the first stage of installation..

Attachments

Screen Shot 2017-11-22 at 00.43.16.png

Screen Shot 2017-11-22 at 00.43.16.png (903.43 KiB) Viewed 124 times


Newbie

Posts

Joined
Sun Nov 19, 2017 7:14 am

Post by straightlight » Wed Nov 22, 2017 7:08 pm

I have received your PM. Until this issue has been resolved, I would suggest to restore backups.

The most generated errors being found on Opencart forum originates from contributed programming.

Regards,
Straightlight


Guru Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON
Who is online

Users browsing this forum: No registered users and 6 guests